Subject: End auto-repair bills

From: Expiring Auto Warranty? <[email-masked]>
Date: Thu, 29 May 2014 07:37:08 -0700

RE: [Extended Your Auto Warranty]
Pln: No. 84-91532462

We noticed that your car may need repairs soon. These unexpected repairs can cost you thousands as your vehicle gets older because you don't have an extended auto warranty, if yours is set to expire soon.

Your auto-warranty you can save up 60% on ANY REAPIR you would ever need.

Extend your cars warranty: Don't let it expire completely.
> http://www.wearwoo.com/CD-5435/auto-4537df3245.your-plan

Members are keeping their cars longer and repair costs keep-rising. Make sure your car is safe to drive by getting the proper repairs. Your extended-warranty will cover them.

Details > http://www.wearwoo.com/CD-5435/auto-4537df3245.your-plan

===================================================
AAG United Auto Repairs | 169 Bryant Drive|Penn Hills|PA|15235
Covering Ford - Chevy - BMW - Jeep - Dodge - More.
===================================================

/
/
/
/
/

We understand that you may no want anymore-updates from us. If that is true please write to the address or go to this location -- http://www.wearwoo.com/D/

/

/
/
/
RE:RE:RE:RE:
Afterwards, I can drive all around town no problem, but if I get on interstate and get up to 55+ MPH randomly I noticed a noise like something rattle, chains on metal ? I took back to Dealer they just looked at me said that doing the service they did would not cause that kinda problem ? I kept driving it went back and pitch fit for them to at least put on rack ... guess what they found one screw on the skid plate was loose. Dealer said that would not make that noise, but since they tightened it I have

You say you put oil in it? I hope you mean ATF and that it was actually low on fluid. Please also tell me you put it in the trans tube not the engine. What nuts did you tighten exactly? How many miles on this? 

This car isn't sold in the US where this site and its mods are at, but from a quick search it seems a GM rear wheel drive that likely has a 4L60E trans. With both age and mileage a factor, and limited info about this from you, I would guess your trans pump may be on the fritz and you are long overdue for a rebuild. Car made it 21 years, can't be mad at that. It paid its due at that point. 

-Bob